<?xml version='1.0' encoding="iso-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:template match="/">
		<HTML>
			<HEAD>
				<TITLE>PlugInDB</TITLE>
			</HEAD>
			<BODY>
				<xsl:apply-templates />
			</BODY>
		</HTML>
	</xsl:template>

	<xsl:template match="plugins">
		<TABLE width="100%" cellspacing="0" cellpadding="0" border="0">
			<TR>
				<TD>
					<H1>
						PlugIn bersicht
					</H1>
				</TD>
			</TR>
			<TR>
				<TD>
					<H2>
						Eine Auflistung ber die verschiedenen PlugIns fr VDR.
					</H2>
				</TD>
			</TR>
			<TR>
				<TABLE width="100%" cellspacing="0" cellpadding="0" border="0">
					<TR>
						<xsl:attribute name="style">background-color: #D8E9E6</xsl:attribute>
						<TH align="left">Name</TH>
						<TH align="left">Version</TH>
						<TH align="left">Entwicklerversion</TH>
						<TH align="left">Link zur Homepage</TH>
					</TR>
					<xsl:apply-templates select="plugin"/>
				</TABLE>
			</TR>
		</TABLE>
	</xsl:template>

	<xsl:template match="plugin">
		<TR>
			<xsl:if test="position() mod 2 = 0">
				<xsl:attribute name="style">background-color: #D8E9E6</xsl:attribute>
			</xsl:if>
			<TD>
				<xsl:value-of select="@name"/>
			</TD>
			<TD>
				<xsl:value-of select="./Version"/>
			</TD>
			<TD>
				<xsl:value-of select="./Entwicklerversion"/>
			</TD>
			<TD>
				<a>
					<xsl:attribute name="href">
						<xsl:value-of select="./Download"/>
					</xsl:attribute>
					<xsl:value-of select="./Download"/>
				</a>
			</TD>
		</TR>
	</xsl:template>
</xsl:stylesheet>
